# QStyleOptionTitleBar Class Reference

### [com.trolltech.qt.gui package]

Inherits QStyleOptionComplex.

### Constructor

- void QStyleOptionTitleBar()
- void QStyleOptionTitleBar(QStyleOptionTitleBar other)

### Constructor Properties

- prototype: The QStyleOptionTitleBar prototype object
- Version = 1
- StyleOptionVersion( value )
- Type = SO_TitleBar
- StyleOptionType( value )

### Instance Properties

QStyleOptionTitleBar objects have no special properties beyond those inherited from the QStyleOptionTitleBar prototype object.